## smsclient 2.0.8z-10

=== config/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include Makefile.config

# -------------------------------------------------------------------- 

all: 
	cd src ; $(MAKE)

clean: 
	cd src ; $(MAKE) clean

distclean: 
	cd src ; $(MAKE) clean
	$(RM) Makefile.config
	$(RM) Makefile.drivers
	$(RM) Makefile.modemlib
	$(RM) .configured
	$(RM) Makefile

install: 
	cd src  ; $(MAKE) install
	cd sms  ; $(MAKE) install
	cd docs ; $(MAKE) install

uninstall: 
	cd src  ; $(MAKE) uninstall
	cd sms  ; $(MAKE) uninstall
	cd docs ; $(MAKE) uninstall

# --------------------------------------------------------------------
