=== debian/changelog ===
smsclient (2.0.8z-10) unstable; urgency=low

  * Remove debconf usage; all versions from sarge onwards haven't put service
    files in /etc/smsclient/services so no need of the debconf note any more.
    (closes: #414295)
  * Improve UCP parsing tolerance. Patch from Martin Schmid. (closes: #451486)
  * Stop Makefile install target from stripping binaries. (closes: #438028)
  * Lintian cleanups
    * Don't ignore "make clean" errors.
    * Clean up copyright file.
    * Bump Standards-Version to 3.7.3.0 (no further changes).

 -- Jonathan McDowell <noodles@earth.li>  Mon, 05 May 2008 14:48:47 +0100
